# module RSS::ContentModel

### Constants

ELEMENTS

### Public Class Methods

append_features(klass) click to toggle source
Calls superclass method

    # File lib/rss/content.rb, line 15
    def self.append_features(klass)
      super

      klass.install_must_call_validator(CONTENT_PREFIX, CONTENT_URI)
      ELEMENTS.each do |full_name|
        name = full_name[(CONTENT_PREFIX.size + 1)..-1]
        klass.install_text_element(name, CONTENT_URI, "?", full_name)
      end
    end